import QtQuick 1.1

Item
{
    property Item area: parent

    property bool editableCursor: area && area.enabled && area.visible && area.containsMouse && area.parent && area.parent.enabled;

    function setCursor()
    {
        if (editableCursor)
            Window.SetEditableCursor();
        else
            Window.SetNormalCursor();
    }
    onEditableCursorChanged: setCursor()
    Component.onCompleted: setCursor()
}
