import QtQuick 1.1

CheckBox
{
    id: radioButton
    objectName:	"radioButton"

    uncheckedImage: "../images/widgets/radio.png"
    uncheckedHoverImage: "../images/widgets/radio.png"
    uncheckedPressedImage: "../images/widgets/radio_pressed.png"
    checkedImage: "../images/widgets/radio_selected.png"
    checkedHoverImage: "../images/widgets/radio_selected.png"
    checkedPressedImage: "../images/widgets/radio_pressed_selected.png"
    uncheckedDisabledImage: "../images/widgets/radio_disabled.png"
    checkedDisabledImage: "../images/widgets/radio_disabled_selected.png"

    property variant group: parent
    onGroupChanged:
    {
        if(group != undefined)
            group.registerRadioButton(radioButton);
    }
    signal keyboardNavigate(bool forward);
    Keys.onPressed:
    {
        if(event.key == Qt.Key_Up)
            keyboardNavigate(false);
        else if(event.key == Qt.Key_Down)
            keyboardNavigate(true);
    }
}
