import QtQuick 1.1
import QtWidgetProxies 1.0
import "../../common/fonts" as Fonts
import "../../common/EnumHelper.js" as EnumHelper
import "../../common/ProductTypeHelper.js" as ProductTypeHelper
import "../../common/widgets" as Widgets

Widgets.SimpleMessageBox
{
    id: rescuediskError

    Localizer { id: tr; scope: "RescueDiskWizard" }
    property variant context: ViewModel

    iconSource: "../images/ico_danger_48.png"
    caption: ProductTypeHelper.getProductNameFull(tr, context)
    description: tr.Localize("Error_" + context.ErrorDescription);
    okButtonText: tr.Localize("Ok")
    width:250
    cancelVisible :false

     onOkClicked:
    {
        Window.Close()
    }
}
