import QtQuick 1.1
import QtWidgetProxies 1.0
import "../../../common/widgets" as Widgets
import "../../../common/widgets" as Widgets
import "../../../common/border" as Border
import "../../../common/Colors.js" as Colors
import "../../../common/fonts" as Fonts
import "../../../common/HelpMapper.js" as HelpMapper

Item
{
    id: waiting
    objectName: "waitingPage"

    Localizer { id: tr; scope: "RescueDiskWizard" }

    property variant context: RescueDiskWizard.GetPageContext()
    property variant commonFontStyles: Fonts.Common{}

    function getHelpId()
    {
        return HelpMapper.RescueDiskWizardIntroHelp;
    }

    Widgets.Loading16
    {
        id: progress
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter

        running: true
        visible: true
    }



}

