import QtQuick 1.1
import ".." as Widgets

Widgets.Button
{
	id: widget

	property string text
	property variant spin
    property string func

	objectName: "SpinButton"
	tabOrder: 0
	onPressed:
	{
		spin.forceActiveFocus();
		spin[func](1);
	}
	onPressAndHold: spin.start(func);
	onReleased: spin.stop();
	onExited: spin.stop();
}

