import QtQuick 1.1

Button
{
    focusRectEnabled: false
    FocusImage
    {
        anchors.verticalCenter: parent.verticalCenter
        anchors.horizontalCenter: parent.horizontalCenter
        tileHorizontally: true
        widthClipperSize: 4
        border {
            left: 16
            right: 4
        }
        source: "../images/focuses/focus_back_button.png"
    }

    mirror: Window.Mirror
    buttonHeight: 26
    backgroundImage: "../images/inner/back_normal.png";
    hoverImage: "../images/inner/back_hover.png";
    pressedImage: "../images/inner/back_pressed.png";
    borderLeft: 16
    borderRight: 6
    textLeft: true
    leftMargin: 9
    horizontalMargin: 11
    textcolor: "#414141"
    textStyle: Text.Raised
    textStyleColor: "#ffffff"
}
