import QtQuick 1.1

import "../common/fonts" as Fonts

MigrationBasePage
{
    property variant commonFontStyles: Fonts.Common{}
	objectName: "migrationProgressPage"
    Column
    {
        width: parent.width
        anchors.verticalCenter: parent.verticalCenter
        AnimatedImage
        {
            anchors.horizontalCenter: parent.horizontalCenter
            source:	"../common/images/loader_48.gif"
        }
        Item { width: parent.width; height: 18 }
        Text
        {
            id: wait
			anchors.horizontalCenter: parent.horizontalCenter
            text: tr.Localize("PleaseWait")
            font: commonFontStyles.standardBoldSubHeadingFont
            horizontalAlignment: Text.AlignHCenter
            width: parent.width
        }
        Item { width: parent.width; height: 2 }
        Text
        {
            id: desc
            width: 300
            text: getPageDescription()
            wrapMode: Text.WordWrap
            font: commonFontStyles.standardCommonTextFont
            anchors.horizontalCenter: parent.horizontalCenter
            horizontalAlignment: Text.AlignHCenter
        }
    }
}
