import QtQuick 1.1
import "SettingsMargins.js" as Margins

Item
{
    id: settingsSection

    property string name
    property Component body

    objectName: "settingsSection"
    width: parent.width
    height: childrenRect.height
    property bool smallTopMargin: false
    property bool smallBottomMargin: false

    Column
    {
        objectName: "Column"
        width: parent.width

        SettingsLine
        {
            text: settingsSection.name
            smallTopMargin: settingsSection.smallTopMargin
            smallBottomMargin: settingsSection.smallBottomMargin
        }

        Loader
        {
            objectName: "Loader"
            width: parent.width
            sourceComponent: settingsSection.body
        }
    }
}
